import React from "react";
import { useGroupContext } from "./groupProvider";
export var RenderedContent = function (_a) {
    var _b = _a.sourceTypes, sourceTypes = _b === void 0 ? [] : _b;
    var sources = useGroupContext().sources;
    if (!sources || !sources.length) {
        return null;
    }
    var renderedContents = sources
        .filter(function (source) { return sourceTypes.includes(source.type); })
        .map(function (source) {
        if (source.data) {
            return (React.createElement(React.Fragment, { key: source.data.renderedContent }, source.data.renderedContent));
        }
        return null;
    });
    return React.createElement(React.Fragment, null, renderedContents);
};
